using System;
using System.Linq;

namespace Slova
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            string natpis = Console.ReadLine();
            if (N<26)
            {
                Console.WriteLine(0);
            }
            else if(N==27)
            {
                char test;
                bool nemoguce = false;
                for (int i = 1; i < 27; i++)
                {
                    test = (char)(i + 64);
                    if (!(natpis.Contains(test)))
                    {
                        nemoguce = true;
                        break;
                    }
                }
                if(nemoguce)
                {
                    Console.WriteLine(0);
                }
                int[] brojSlova = new int[26];
                int indeks;
                for (int i = 0; i < natpis.Length; i++)
                {
                    for (int j = 1; j < 27; j++)
                    {
                        test = (char)(j + 64);
                        if (natpis.Contains(test))
                        {
                            brojSlova[j - 1]++;
                            if (brojSlova[j - 1]==2)
                            {
                                indeks = i;
                                int prviIndeks = natpis.IndexOf(test);
                                if (natpis.Remove(indeks, 1) == "ABCDEFGHIJKLMNOPQRSTUVWXYZ")
                                {
                                    if ((indeks - prviIndeks == 1) || (indeks - prviIndeks == -1))
                                    {
                                        Console.WriteLine(2);
                                        goto Zavrseno;
                                    }
                                    else
                                    {
                                        Console.WriteLine(1);
                                        goto Zavrseno;
                                    }
                                }
                                else if (natpis.Remove(prviIndeks, 1)== "ABCDEFGHIJKLMNOPQRSTUVWXYZ")
                                {
                                    if ((indeks - prviIndeks == 1) || (indeks - prviIndeks == -1))
                                    {
                                        Console.WriteLine(2);
                                        goto Zavrseno;
                                    }
                                    else
                                    {
                                        Console.WriteLine(1);
                                        goto Zavrseno;
                                    }
                                }
                                else
                                {
                                    Console.WriteLine(0);
                                    goto Zavrseno;
                                }
                            }
                        }
                    }
                }
                Zavrseno:
                if (true)
                {

                }


            }
        }
    }
}